Subject: Re: Metal Sealer

From: [email-masked] (Joe Landau)
Date: Sat, 08 Oct 1994 05:53:00 GMT

In article <[email-masked]>, Michael Shiloh ([email-masked]) writes:
>Hi all,
>
>       I'm looking for a way to keep clean steel from rusting. I want
>something that is sprayed or painted, is clear, and is as invisible
>as possible (i.e. no gloss or thick coat). Any ideas? Should I just
>use a thin coat of oil? 

Depends on environment, time, etc.  Wax can work if the environment isnt too
aggressive.  I remember that POR (they advertise in Hemmings Motor News) had
some stuff designed to prevent rust until you paint.

Joe Landau